weka.attributeSelection

## Class BestFirst.LinkedList2

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<BestFirst.Link2>
      - - weka.attributeSelection.BestFirst.LinkedList2

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<BestFirst.Link2>, java.util.Collection<BestFirst.Link2>, java.util.List<BestFirst.Link2>, java.util.RandomAccess
  Enclosing class:
    BestFirst

      public class BestFirst.LinkedList2
      extends java.util.ArrayList<BestFirst.Link2>

  Class for handling a linked list. Used in best first search. Extends the Vector class.
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BestFirst.LinkedList2(int sz)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToList(java.lang.Object[] data, double mer)` adds an element (Link) to the list.
    `BestFirst.Link2` | `getLinkAt(int index)` returns the element (Link) at a specific index from the list.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `void` | `removeLinkAt(int index)` removes an element (Link) at a specific index from the list.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### BestFirst.LinkedList2

          public BestFirst.LinkedList2(int sz)

  - ### Method Detail

    - #### removeLinkAt

          public void removeLinkAt(int index)
                            throws java.lang.Exception

      removes an element (Link) at a specific index from the list.
      Parameters:
        `index` - the index of the element to be removed.
      Throws:
        `java.lang.Exception`

    - #### getLinkAt

          public BestFirst.Link2 getLinkAt(int index)
                                    throws java.lang.Exception

      returns the element (Link) at a specific index from the list.
      Parameters:
        `index` - the index of the element to be returned.
      Throws:
        `java.lang.Exception`

    - #### addToList

          public void addToList(java.lang.Object[] data,
                       double mer)
                         throws java.lang.Exception

      adds an element (Link) to the list.
      Parameters:
        `data` - the attribute set specification
        `mer` - the "merit" of this attribute set
      Throws:
        `java.lang.Exception`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Returns:
        the revision